Editar tipo de partida
curl --request PUT \
--url https://api.filexpress.app/api/external/v1/accounting/entry-types/{id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Provisiones mensuales",
"requires_approval": true
}
'const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Provisiones mensuales', requires_approval: true})
};
fetch('https://api.filexpress.app/api/external/v1/accounting/entry-types/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.filexpress.app/api/external/v1/accounting/entry-types/{id}"
payload = {
"name": "Provisiones mensuales",
"requires_approval": True
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.filexpress.app/api/external/v1/accounting/entry-types/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Provisiones mensuales',
'requires_approval' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"data": {
"id": "9d1c5a3e-4b7f-4e2a-9c1d-2f6b8a0e7c11",
"code": "PROV",
"name": "Provisiones mensuales",
"description": "Provisiones mensuales",
"prefix": "PRV",
"requires_approval": false,
"is_active": true
}
}{
"status": false,
"message": "Invalid API Key."
}{
"status": false,
"message": "This integration does not have the 'hr.employees' permission.",
"required_scope": "hr.employees"
}{
"status": false,
"message": "Entry type not found"
}{
"status": false,
"message": "Validation errors",
"errors": {
"code": [
"The code cannot be changed; create a new entry type instead."
]
}
}{
"status": false,
"message": "Rate limit exceeded. Please try again later.",
"rate_limit": 100
}Editar tipo de partida
Actualiza solo los campos enviados. El código no se puede cambiar (lo referencian las partidas); enviarlo responde 422.
Permiso requerido: accounting.entry_types.write
PUT
/
accounting
/
entry-types
/
{id}
Editar tipo de partida
Authorizations
API Key de la integración (Integraciones → Nueva Integración).
Path Parameters
ID del tipo de partida
Body
application/json